%global dlrn_nvr 18.5.2-1.20221219234730.64d8ac6
%global dlrn 1
%define upstream_version 18.5.2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-openstacklib
Version: 18.5.2
Release: 1.20221219234730.64d8ac6%{?dist}
Summary:        Puppet OpenStack Libraries
License:        ASL 2.0

URL:            https://launchpad.net/puppet-openstacklib

Source0: 18.5.2-1.20221219234730.64d8ac6.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=64d8ac63fb973b269a7ec7195f1c6f1f9c40ee38

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-mysql
Requires:       puppet-stdlib
Requires:       puppet-rabbitmq
#Requires:       puppet-postgresql
Requires:       puppet >= 2.7.0

%description
Puppet OpenStack Libraries

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-openstacklib-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/



%files
%{_datadir}/openstack-puppet/modules/openstacklib/


%changelog
* Mon Dec 19 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221219234730.64d8ac6
- Update patches
- Remove centos8 wallaby tripleo jobs

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109015050.cccd349
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108115055.cccd349
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108084856.e18c413
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102030016.e18c413
- Update patches
- Prepare the final wallaby release

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727150229.973a9b9
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220718105744.973a9b9
- Update patches
- Ubuntu: Use utf8mb3 charset in MySQL

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220416015752.358e2a4
- Update patches
- Make regex matching policy key stricter
- policy: Quote single quotes in yaml format

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220317190651.977516d
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217223428.e51f82d
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204014032.e51f82d
- Update patches
- Prepare a new Wallaby release

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.0-0.20220115001852.008bcaf
- Update patches
- Set python versions for rhel > 8

* Sat Jan 08 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.0-0.20220109005348.b16e5fb
- Update patches
- Add support for iscsid configuration
- CredentialsV3: Ensure all attributes are cleared by unset

* Mon Sep 27 2021 OSP Prod Chain <dev-null@redhat.com> 19.4.0-0.20210928013412.fa7ce17
- Update patches
- Prevent --password from leaking in failed command output

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210603233911.f022f26
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210528164939.c400388
- Update patches
- TripleO: Do not use an independent content provide job

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528130219.710bcb8
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210523153626.710bcb8
- Update patches
- Replace URI.escape() with ERB::Util.url_encode()

* Sat May 15 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210515121928.3a6113b
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1
- metadata.json: debian 11
- policy: Raise error when file_path and file_format are inconsistent
- Fix FrozenError on Focal
- Update supported Ubuntu version to Focal
- Prepare Wallaby M3
- Prepare Wallaby M2

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate support for policy.json

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix support for policy.yaml

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ssl_verify_client to wsgi::apache

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sun Sep 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add the aliases param to pass through to apache
- Set openstackdocs_auto_name to use 'project' as name
- Add Puppet Litmus

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for setenv parameter in apache

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstack_spec_helper from zuul checkout

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for yaml format policy files

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Sun May 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Puppet 5 is now officially unsupported

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Generate password hash from password

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove usage of apache::vhost::wsgi_daemon_process_options

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq version in metadata
- Change rpsec to rspec

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop validation for CentOS<=6 and Fedora <=14

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch os_package_type to use os fact

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add old ruby support to inet6_prefix
- Refactor os distro/version check in client ut
- mysql: allow specifying the authentication method

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Sun Mar 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use non-legacy fact name for os_workers

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump puppetlabs-mysql support to <11.0.0

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Have doubled workers for keystone service

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure no directory listing is active

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Deprecate Puppet 5 support"
- Deprecate Puppet 5 support

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow to activate WSGIImportScript option"
- Allow to activate WSGIImportScript option

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train




